/api/v1/ticketing-teams/{ticketingTeamId}/users (POST)
const url = 'https://api.endless.zaia.app/api/v1/ticketing-teams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/users';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"userId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.endless.zaia.app/api/v1/ticketing-teams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/users \ --header 'Content-Type: application/json' \ --data '{ "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Creates new users or attaches existing ones to a ticketing team.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Request Bodyrequired
Seção intitulada “Request Bodyrequired”object
A UUID v4 string that identifies an entity.
Examplegenerated
{ "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Seção intitulada “Responses”The ticketing team user was created.
object
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Example
{ "status": "active"}Round robin distribution does not total exactly 100%.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Ticketing team or user not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}User is already a member of this ticketing team.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}